Skip to content

nodes / disks ​

18 operations.

GET /nodes/{node}/disks ​

ts
proxmox.nodes.$(node).disks.$get()

Node index.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/disks/directory ​

ts
proxmox.nodes.$(node).disks.directory.$get()

PVE Managed Directory storages.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/disks/directory ​

ts
proxmox.nodes.$(node).disks.directory.$post()

Create a Filesystem on an unused disk. Will be mounted under '/mnt/pve/NAME'.

Returns string.

ParameterTypeRequiredNotes
add_storagebooleanConfigure storage using the directory. — default 0
devicestringyesThe block device you want to create the filesystem on.
filesystemext4 | xfsThe desired filesystem. — default "ext4"
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node

DELETE /nodes/{node}/disks/directory/{name} ​

ts
proxmox.nodes.$(node).disks.directory.$(name).$delete()

Unmounts the storage and removes the mount unit.

Returns string.

ParameterTypeRequiredNotes
cleanup-configbooleanMarks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0
cleanup-disksbooleanAlso wipe disk so it can be repurposed afterwards. — default 0
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/disks/initgpt ​

ts
proxmox.nodes.$(node).disks.initgpt.$post()

Initialize Disk with GPT

Returns string.

ParameterTypeRequiredNotes
diskstringyesBlock device name
nodestringyesThe cluster node name. — format pve-node
uuidstringUUID for the GPT table — ≤ 36 chars

GET /nodes/{node}/disks/list ​

ts
proxmox.nodes.$(node).disks.list.$get()

List local disks.

Returns an array of object.

ParameterTypeRequiredNotes
include-partitionsbooleanAlso include partitions. — default 0
nodestringyesThe cluster node name. — format pve-node
skipsmartbooleanSkip smart checks. — default 0
typeunused | journal_disksOnly list specific types of disks.

GET /nodes/{node}/disks/lvm ​

ts
proxmox.nodes.$(node).disks.lvm.$get()

List LVM Volume Groups

Returns object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/disks/lvm ​

ts
proxmox.nodes.$(node).disks.lvm.$post()

Create an LVM Volume Group

Returns string.

ParameterTypeRequiredNotes
add_storagebooleanConfigure storage using the Volume Group — default 0
devicestringyesThe block device you want to create the volume group on
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node

DELETE /nodes/{node}/disks/lvm/{name} ​

ts
proxmox.nodes.$(node).disks.lvm.$(name).$delete()

Remove an LVM Volume Group.

Returns string.

ParameterTypeRequiredNotes
cleanup-configbooleanMarks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0
cleanup-disksbooleanAlso wipe disks so they can be repurposed afterwards. — default 0
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/disks/lvmthin ​

ts
proxmox.nodes.$(node).disks.lvmthin.$get()

List LVM thinpools

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/disks/lvmthin ​

ts
proxmox.nodes.$(node).disks.lvmthin.$post()

Create an LVM thinpool

Returns string.

ParameterTypeRequiredNotes
add_storagebooleanConfigure storage using the thinpool. — default 0
devicestringyesThe block device you want to create the thinpool on.
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node

DELETE /nodes/{node}/disks/lvmthin/{name} ​

ts
proxmox.nodes.$(node).disks.lvmthin.$(name).$delete()

Remove an LVM thin pool.

Returns string.

ParameterTypeRequiredNotes
cleanup-configbooleanMarks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0
cleanup-disksbooleanAlso wipe disks so they can be repurposed afterwards. — default 0
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node
volume-groupstringyesThe storage identifier. — format pve-storage-id

GET /nodes/{node}/disks/smart ​

ts
proxmox.nodes.$(node).disks.smart.$get()

Get SMART Health of a disk.

Returns object.

ParameterTypeRequiredNotes
diskstringyesBlock device name
healthonlybooleanIf true returns only the health status
nodestringyesThe cluster node name. — format pve-node

PUT /nodes/{node}/disks/wipedisk ​

ts
proxmox.nodes.$(node).disks.wipedisk.$put()

Wipe a disk or partition.

Returns string.

ParameterTypeRequiredNotes
diskstringyesBlock device name
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/disks/zfs ​

ts
proxmox.nodes.$(node).disks.zfs.$get()

List Zpools.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/disks/zfs ​

ts
proxmox.nodes.$(node).disks.zfs.$post()

Create a ZFS pool.

Returns string.

ParameterTypeRequiredNotes
add_storagebooleanConfigure storage using the zpool. — default 0
ashiftnumberPool sector size exponent. — min 9, max 16, default 12
compressionon | off | gzip | lz4 | lzjb | zle | zstdThe compression algorithm to use. — default "on"
devicesstringyesThe block devices you want to create the zpool on. — format string-list
draid-configstring
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node
raidlevelsingle | mirror | raid10 | raidz | raidz2 | raidz3 | draid | draid2 | … (1 more)yesThe RAID level to use.

GET /nodes/{node}/disks/zfs/{name} ​

ts
proxmox.nodes.$(node).disks.zfs.$(name).$get()

Get details about a zpool.

Returns object.

ParameterTypeRequiredNotes
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node

DELETE /nodes/{node}/disks/zfs/{name} ​

ts
proxmox.nodes.$(node).disks.zfs.$(name).$delete()

Destroy a ZFS pool.

Returns string.

ParameterTypeRequiredNotes
cleanup-configbooleanMarks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0
cleanup-disksbooleanAlso wipe disks so they can be repurposed afterwards. — default 0
namestringyesThe storage identifier. — format pve-storage-id
nodestringyesThe cluster node name. — format pve-node